#include "Socket.h"

Socket::Socket(const std::string& address, unsigned port)
    : mPort(port),
      mAddress(address)
{

}

Socket::~Socket()
{

}

const Socket::State& Socket::getState() const
{
    return mState;
}

unsigned Socket::getPort() const
{
    return mPort;
}

std::string Socket::getAddress() const
{
    return mAddress;
}